Universal Ledger API。
服务:universalledger.googleapis.com
服务端点
服务端点是一个基础网址,指定了 API 服务的网络地址。一项服务可能有多个服务端点。此服务具有以下服务端点,下面的所有 URI 都与此服务端点相关:
https://universalledger.googleapis.com
区域服务端点
区域级服务端点是一个基础网址,指定了单个区域中 API 服务的网络地址。在多个区域中提供的服务可能有多个区域级端点。选择一个位置,即可查看此服务的区域级服务端点。
https://universalledger.googleapis.com REST 资源:v1.projects.locations
| 方法 | |
|---|---|
get |
GET /v1/{name=projects/*/locations/*}获取位置相关信息。 |
list |
GET /v1/{name=projects/*}/locations 列出有关此服务所支持位置的信息。 |
REST 资源:v1.projects.locations.endpoints
| 方法 | |
|---|---|
get |
GET /v1/{name=projects/*/locations/*/endpoints/*} 获取特定端点的详细信息。 |
list |
GET /v1/{parent=projects/*/locations/*}/endpoints 列出给定项目和位置的所有端点。 |
queryAccount |
GET /v1/{endpoint=projects/*/locations/*/endpoints/*}:queryAccount 已弃用:请改用 QueryData 方法。 |
queryData |
POST /v1/{endpoint=projects/*/locations/*/endpoints/*}:queryData 在网络中查询账本中存储的信息,例如账号和交易。 |
queryTransactionState |
GET /v1/{endpoint=projects/*/locations/*/endpoints/*}:queryTransactionState 已弃用:请改用 QueryData 方法。 |
submitOperationalTransaction |
POST /v1/{endpoint=projects/*/locations/*/endpoints/*}:submitOperationalTransaction 向网络提交操作事务。 |
submitTransaction |
POST /v1/{endpoint=projects/*/locations/*/endpoints/*}:submitTransaction 向网络提交交易。 |